<?php

require_once(dirname(__FILE__)."/BasicFunction.php");
require_once(dirname(__FILE__)."/HttpFunction.php");

class HttpResponse{
	function service(){
		if( isGet() == true ){
			$this->doGet();
		} else if( isPost() == true ){
			$this->doPost();
		} else if( isHead() == true ){
			$this->doHead();
		} else {
			header("Allow: GET,POST,HEAD");
			httpError(405);
		}
	}
	/* abstract void */
	function doGet(){die("GET method do not supported");}
	function doPost(){die("POST method do not supported");}
	function doHead(){die("HEAD method do not supported");}
	
	function sanitize( & $data ){
		if( is_array($data) == false ){
			$data = array($data);
		}
		foreach($data as $key => $val){
			$data[$key] = htmlspecialcharsEx($val);
		}
	}
}

?>
